#
# spec file for package python-WebError
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-WebError
Version:        0.10.3
Release:        15.2
Url:            http://pypi.python.org/pypi/WebError
Summary:        Web Error handling and exception catching
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/W/WebError/WebError-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-Paste
BuildRequires:  python-Pygments
BuildRequires:  python-Tempita
BuildRequires:  python-WebOb
BuildRequires:  python-WebTest
BuildRequires:  python-devel
BuildRequires:  python-nose
BuildRequires:  python-setuptools
BuildRequires:  python-simplejson
BuildRequires:  python-xml
Requires:       python-Paste
Requires:       python-Pygments
Requires:       python-Tempita
Requires:       python-WebOb
Requires:       python-simplejson
Requires:       python-xml
Provides:       python-weberror = %{version}
Obsoletes:      python-weberror < %{version}
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
BuildRequires:  python-ordereddict
%else
BuildArch:      noarch
%endif

%description
A web error handling and exception catching module for Paste applications.

%prep
%setup -q -n WebError-%{version}
chmod 644 WebError.egg-info/{top_level.txt,SOURCES.txt,PKG-INFO,not-zip-safe,dependency_links.txt,requires.txt,entry_points.txt,paster_plugins.txt} # Fix wrong permissions

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc CHANGELOG LICENSE README
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Mon Jun 17 2013 speilicke@suse.com
- Add python-ordereddict build dep for SLE
* Sun Oct  7 2012 os-dev@jacraig.com
- Add build dependencies for WebTest and nose to fix test failure.
* Mon Mar 12 2012 saschpe@gmx.de
- Simplify macro usage
- Re-enable testsuite
* Fri Sep  2 2011 saschpe@suse.de
- Disabled %%check section to fix SLE build
* Thu Sep  1 2011 saschpe@suse.de
- Initial version
